# the node positions as taken from the FB picks at offsets 181 and 185 in the segy files 
# are wrong. It seems that the correct node positions were given to the wrong nodes.
# Therefore, what we do here is map the correct node positions to the appropriate node number as it was placed in the field.
# To do this correctly, we looked at the moveout of the first break at each of the node lines in the microspread,
# and saw that it was consistent.

${D}/microspread4.H: ${D}/microspread3.H ${B}/remap_rec.x
	< $< ${B}/remap_rec.x nodeid=1020 xnew=27.3485 ynew=.0059 > ${D}/tmp1.H hff=${D}/tmp1.H@@
	< ${D}/tmp1.H  ${B}/remap_rec.x nodeid=1031 xnew=27.3545 ynew=.0059 > ${D}/tmp2.H hff=${D}/tmp2.H@@
	< ${D}/tmp2.H  ${B}/remap_rec.x nodeid=1049 xnew=27.3465 ynew=.0059 > ${D}/tmp3.H hff=${D}/tmp3.H@@
	< ${D}/tmp3.H  ${B}/remap_rec.x nodeid=1188 xnew=27.3405 ynew=.0059 > ${D}/tmp4.H hff=${D}/tmp4.H@@
	< ${D}/tmp4.H  ${B}/remap_rec.x nodeid=1198 xnew=27.3435 ynew=.0078 > ${D}/tmp5.H hff=${D}/tmp5.H@@
	< ${D}/tmp5.H  ${B}/remap_rec.x nodeid=1254 xnew=27.3425 ynew=.0059 > ${D}/tmp6.H hff=${D}/tmp6.H@@
	< ${D}/tmp6.H  ${B}/remap_rec.x nodeid=1257 xnew=27.3495 ynew=.0078 > ${D}/tmp7.H hff=${D}/tmp7.H@@
	< ${D}/tmp7.H  ${B}/remap_rec.x nodeid=1300 xnew=27.3375 ynew=.0078 > ${D}/tmp8.H hff=${D}/tmp8.H@@
	< ${D}/tmp8.H  ${B}/remap_rec.x nodeid=1328 xnew=27.3445 ynew=.0059 > ${D}/tmp9.H hff=${D}/tmp9.H@@
	< ${D}/tmp9.H  ${B}/remap_rec.x nodeid=1360 xnew=27.3475 ynew=.0078 > ${D}/tmp10.H hff=${D}/tmp10.H@@
	< ${D}/tmp10.H ${B}/remap_rec.x nodeid=1382 xnew=27.3555 ynew=.0078 > ${D}/tmp11.H hff=${D}/tmp11.H@@
	< ${D}/tmp11.H ${B}/remap_rec.x nodeid=1432 xnew=27.3525 ynew=.0059 > ${D}/tmp12.H hff=${D}/tmp12.H@@
	< ${D}/tmp12.H ${B}/remap_rec.x nodeid=1437 xnew=27.3535 ynew=.0078 > ${D}/tmp13.H hff=${D}/tmp13.H@@
	< ${D}/tmp13.H ${B}/remap_rec.x nodeid=1482 xnew=27.3415 ynew=.0078 > ${D}/tmp14.H hff=${D}/tmp14.H@@
	< ${D}/tmp14.H ${B}/remap_rec.x nodeid=1496 xnew=27.3515 ynew=.0078 > ${D}/tmp15.H hff=${D}/tmp15.H@@
	< ${D}/tmp15.H ${B}/remap_rec.x nodeid=1517 xnew=27.3595 ynew=.0078 > ${D}/tmp16.H hff=${D}/tmp16.H@@
	< ${D}/tmp16.H ${B}/remap_rec.x nodeid=1522 xnew=27.3605 ynew=.0059 > ${D}/tmp17.H hff=${D}/tmp17.H@@
	< ${D}/tmp17.H ${B}/remap_rec.x nodeid=1535 xnew=27.3575 ynew=.0078 > ${D}/tmp18.H hff=${D}/tmp18.H@@
	< ${D}/tmp18.H ${B}/remap_rec.x nodeid=1587 xnew=27.3615 ynew=.0078 > ${D}/tmp19.H hff=${D}/tmp19.H@@
	< ${D}/tmp19.H ${B}/remap_rec.x nodeid=1638 xnew=27.3625 ynew=.0059 > ${D}/tmp20.H hff=${D}/tmp20.H@@
	< ${D}/tmp20.H ${B}/remap_rec.x nodeid=1653 xnew=27.3565 ynew=.0059 > ${D}/tmp21.H hff=${D}/tmp21.H@@
	< ${D}/tmp21.H ${B}/remap_rec.x nodeid=1688 xnew=27.3455 ynew=.0078 > ${D}/tmp22.H hff=${D}/tmp22.H@@
	< ${D}/tmp22.H ${B}/remap_rec.x nodeid=1702 xnew=27.3585 ynew=.0059 > ${D}/tmp23.H hff=${D}/tmp23.H@@
	< ${D}/tmp23.H ${B}/remap_rec.x nodeid=1716 xnew=27.3505 ynew=.0059 > ${D}/tmp24.H hff=${D}/tmp24.H@@
	< ${D}/tmp24.H ${B}/remap_rec.x nodeid=1730 xnew=27.3385 ynew=.0059 > ${D}/tmp25.H hff=${D}/tmp25.H@@
	< ${D}/tmp25.H ${B}/remap_rec.x nodeid=1772 xnew=27.3395 ynew=.0078 > $@ hff=$@@@
	Rm ${D}/tmp[0-9]*.H@@
	rm ${D}/tmp[0-9]*.H
