#!/bin/bash

if [ $# -ne 5 ]; then
	echo "usage: <v0> <dv> <nv> <gather> <output>"
	exit 1
fi

v0=$1
dv=$2
nv=$3
gather=$4
out=$5

v=$v0
iv=1

make $gather

flist=""
flist2=""

while [ $iv -le $nv ]; do
	echo "bin/hmo3d.x < dat/node1300hyd.H sdepth=-0.012 scaleco=1e-4 vel=$v maxsize=1000000 > dat/node1300hyd.$iv.H hff=dat/node1300hyd.$iv.H@@"
	bin/hmo3d.x < $gather sdepth=-0.012 scaleco=1e-4 vel=$v maxsize=1000000 > dat/node1300hyd.$iv.H hff=dat/node1300hyd.$iv.H@@
	echo "hff=-1" >> dat/node1300hyd.$iv.H
	flist="$flist dat/node1300hyd.$iv.H"
	flist2="$flist2 dat/node1300hyd.$iv.H@@"

	iv=`expr $iv + 1`
	#v=`expr $v + $dv`
	v=$(echo "$v+$dv" | bc -q 2>/dev/null)
done

Cat3d $flist axis=3 > $out
echo "n3=$nv" >> $out
echo "d3=$dv" >> $out
echo "o3=$v0" >> $out
Rm $flist
Rm $flist2


