#!/bin/bash

if [ $# -ne 5 ]; then
	echo "usage: <d0> <dd> <nd> <gather> <output>"
	exit 1
fi

d0=$1
dd=$2
nd=$3
gather=$4
out=$5

d=$d0
id=1

make $gather
water_nmo=1.474

flist=""
flist2=""

while [ $id -le $nd ]; do
	echo "bin/hmo3d.x < dat/node1300hyd.H sdepth=$d scaleco=1e-4 vel=$water_nmo maxsize=1000000 > dat/node1300hyd.$id.H hff=dat/node1300hyd.$id.H@@"
	bin/hmo3d.x < $gather sdepth=$d scaleco=1e-4 vel=$water_nmo maxsize=1000000 > dat/node1300hyd.$id.H hff=dat/node1300hyd.$id.H@@
	echo "hff=-1" >> dat/node1300hyd.$id.H
	flist="$flist dat/node1300hyd.$id.H"
	flist2="$flist2 dat/node1300hyd.$id.H@@"

	id=`expr $id + 1`
	d=$(echo "$d+$dd" | bc -q 2>/dev/null)
done

Cat3d $flist axis=3 > $out
echo "n3=$nd" >> $out
echo "d3=$dd" >> $out
echo "o3=$d0" >> $out
Rm $flist
Rm $flist2


